
/* ocx.c -- test the ioctl */ 
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "amosdio.h"

#define DEVFILE "/dev/amosdio"
// #define DEVFILE "../module/adi"

int main(int argc, char **argv)
{
	int eid; 

	eid = open(DEVFILE, O_RDWR); 
	if(eid == -1)
	{
		perror(DEVFILE); 
		return(0);
	}
	ioctl(eid, AMOSDIO_IOCTGPI5SMIOFF);  

	sleep(3);

	ioctl(eid, AMOSDIO_IOCTGPI5SMION );  

	/* Return the change bits values */ 
	/* ioctl(eid, AMOSDIO_IOCGCHANGES, pattern );  */ 

	/* Reset the change bit flags. */ 
	/* ioctl(eid, AMOSDIO_IOCSRSTCHANGES, pattern );  */ 

	/* Bit values for changes and resets. */ 
	// #define AMOSDIO_GPIO2 0x1
	// #define AMOSDIO_GPIO3 0x2
	// #define AMOSDIO_GPI4 0x4
	// #define AMOSDIO_GPI5 0x8

	close(eid); 

	return(0); 
}









